#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,k,x,i,j;
    scanf("%i %i %i",&n,&k,&x);
    vector<int> sz;
    int d=n;
    for(int i=n;i>=1;i--)
	{
		while(d>=i && k>=i*(i-1)/2)
		{
			k-=i*(i-1)/2;
			sz.push_back(i);
			d-=i;
		}
	}
	if(k!=0) return 0*printf("-1\n");
	int v=x;
	for(i=0;i<sz.size();i++)
	{
		for(j=1;j<=sz[i];j++) printf("%i ",v);
		v+=x;
	}
	return 0;
}